
package de.ivu.elect.presentation.gruppeimgebiet.menu;

import java.util.Collections;
import java.util.List;

import javax.faces.event.ActionEvent;
import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gruppe.entity.GruppeArt;
import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietChangeEvent;
import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietEdit;
import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietExtendedDAO;
import de.ivu.elect.business.gruppeimgebiet.entity.ReihenfolgeZuruecksetzenOption;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.presentation.redirect.Redirect;
import de.ivu.elect.presentation.gruppeimgebiet.GruppeImGebietReihenfolgeEditView;
import de.ivu.elect.presentation.gruppeimgebiet.GruppeImGebietSearchView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

@Named(GruppeImGebietReihenfolgeZuruecksetzenMenuItemEntry.COMPONENT_NAME)
public class GruppeImGebietReihenfolgeZuruecksetzenMenuItemEntry extends AbstractGruppeImGebietMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gruppeImGebietReihenfolgeZuruecksetzenMenuItemEntry";

  public GruppeImGebietReihenfolgeZuruecksetzenMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GRUPPE_IM_GEBIET_POSITIONEN_ZURUECKSETZEN;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getBearbeitenGebietSecurity();
  }

  @Override
  public String getTargetViewId() {
    return null; // damit Aktion ausgeführt und Bestätigungsdialog aufgerufen wird
  }

  @Override
  public String getDialogName() {
    return "ReihenfolgeZuruecksetzenConfirm";
  }

  @Override
  public void processAction(ActionEvent event) {
    // nichts tun, damit kein redirect ausgeführt wird
  }

  @Override
  protected List<String> getAdditionalTopicViewIds() {
    return Collections.singletonList(GruppeImGebietReihenfolgeEditView.VIEW_ID);
  }


  @Override
  public String getLabelKey() {
    return "gruppe.im.gebiet.search.reihenfolge.zuruecksetzen";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconDelete();
  }

}
